Subject: Re: bug#25875: 26.0.50; Hang logging out of MS-Windows

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Feb 2017 21:25:17 +0200

> Cc: [email-masked], [email-masked]
> From: Ken Brown <[email-masked]>
> Date: Sun, 26 Feb 2017 13:58:23 -0500
> 
> > I think the problem in this particular scenario is not that the input
> > thread sleeps too long, it's that whenever it finishes sleeping and
> > returns, Emacs will be killed, so the WM_ENDSESSION message that was
> > posted to the main thread will never have a chance to be processed,
> > and thus orderly shutdown will never happen.
> >
> > That is why I thought about using SendMessageTimeout in the main
> > thread: what we really want is to cause the main thread to wake up and
> > process the WM_ENDSESSION message.  Right?
> 
> Yes, that would obviously be better.

OK.  Can you propose a patch that Richard could try?  Or should I do
that?

> But in any case, I don't think we want the input thread to sleep for
> 1000 seconds.  If we can't arrange an orderly shutdown, we should
> give up after a reasonable amount of time.

Yes, I agree.